Bug 296773 - GHNS support for Scripted Effects
Summary: GHNS support for Scripted Effects
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: 4.10
Assignee: KWin default assignee
URL:
Keywords:
Depends on: 297634
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 19:25 UTC by Martin Flöser
Modified: 2012-10-28 08:49 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Flöser 2012-03-25 19:25:40 UTC
The All Effects tab in compositing KCM should have a "Get New Effect..." button with GHNS integration.
Comment 1 Martin Flöser 2012-10-28 08:49:38 UTC
Git commit f7539c1c3082de8c1de0c8d4149fdbdb560dc182 by Martin Gräßlin.
Committed on 26/10/2012 at 13:08.
Pushed by graesslin into branch 'master'.

Add GHNS support for Scripted KWin Effects
FIXED-IN: 4.10
REVIEW: 107051

M  +2    -1    kwin/kcmkwin/kwincompositing/CMakeLists.txt
A  +5    -0    kwin/kcmkwin/kwincompositing/kwineffect.knsrc
M  +14   -0    kwin/kcmkwin/kwincompositing/main.cpp
M  +1    -0    kwin/kcmkwin/kwincompositing/main.h
M  +40   -12   kwin/kcmkwin/kwincompositing/main.ui

http://commits.kde.org/kde-workspace/f7539c1c3082de8c1de0c8d4149fdbdb560dc182